% Sorts a list with the Bubble Sort algorithm

% Generates list of n random numbers to order
n=200;
list=rand(1,n);

% Repeating n-1 times
for ii=1:n-1
    % Boolean 'changed' checks if elements were switched
    changed=false;
    % Going through elements 1 to n-ii (since the last ii-1 were already ordered)
    for jj=1:length(list)-ii
        % 'Bubbles up' elements jj if it's bigger than jj+1 by swapping them
        if list(jj)>list(jj+1)
            list([jj jj+1])=list([jj+1 jj]);
            changed=true;
        end
    end
    % If nothing was changed, everything is already ordered and we stop
    if ~changed
        break
    end
    % Plots the list step by step. Makes the script much slower. 
    plot(list)
    drawnow
end