clear



% create an array for the x axis
x_line = 1:5;
y_line = -2:2;

[x y] = meshgrid(x_line, y_line);



% create an array for the x axis
x_line = linspace(-3,3,100);
y_line = linspace(-3,3,100);

[x y] = meshgrid(x_line, y_line);

figure(1)

% calculate y values of function
z = sin(x) .* sin(y);

% make a contour plot
contour(x,y,z)

% show the colorbar
colorbar

% change the colormap
colormap hot

% there are many options:
%   parula	jet	hsv	hot	cool	spring	summer
%   autumn	winter	gray	bone	copper	pink
%   lines	colorcube	prism	flag	white


% YOU CAN ALSO EDIT IT!
%colormapeditor


%you can also fill the lines between contours
contourf(x,y,z)
colorbar
colormap jet


% you can make a pseudocolor plot very similarly
pcolor(x,y,z)

% you can remove the black lines
shading flat

% interp also smoothes the data
shading interp 



