clc
clear
close all
warning off

A = imread('SP03-02.png');
BW = imbinarize(A);

L = bwlabel(BW);
RiceNumber = max(L(:));
disp(['Rice number: ' num2str(RiceNumber)])

S = regionprops(BW,'MajorAxisLength') ;
AvgLength = 0;
for region = 1:length(S)
    AvgLength = AvgLength + S(region).MajorAxisLength;
end
AvgLength = AvgLength/length(S);
disp(['Average length: ' num2str(AvgLength) ' pixels'])