clear

figure(1)

% create an array for the x axis
x = linspace(0,10,100);

% calculate y values of function
y1 = sin(x);

% plot
plot(x,y1)

% create another function and plot it together
y2 = cos(x)
plot(x,y1,x,y2)


% there are tools to move, zoom in, ...



% we can change the axis
axis([0 4 0 1])





figure(2)

% we can change the format of the lines 
plot(x,y1,'*green',x,y2,'--red')



figure(3)
clf

% another way of plotting multiple things is to use hold
hold on

% it will keep plotting things on top
plot(x,y1,'x')
plot(x,y2,'red*')

% we can (and should) turn it off after finishing adding everything
hold off




% we can put fancy labels and titles
xlabel('my fancy x label')
ylabel('my fancy y label')

title('my fancy title')


% and change their format (see doc xlabel)

xlabel('my fancy x label', 'FontSize', 20)
ylabel('my fancy y label', 'FontSize', 20)

title('my fancy title', 'FontSize', 30)

